List global offers

Lists the global insurance or services offers for your store. Global offers are available offers at the store level, not tied to a single product or product category.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Returns an array of offer objects, and the associated locale object, and raises an error otherwise.

{
  "offers":[
    {
      "id": "23235424-4a35-43bd-bb6a-f67d01d5790e",
      "sku": "7f3baf0f-5282-4381-961b-4a8dcb056990-0-10000",
      "object": "offer",
      "coverage": ["theft"],
      "coverage_id": "3",
      "currency": "EUR",
      "required_products": "any",
      "payment_type": "subscription",
      "recurring_interval": "month",
      "policy_id": "7f3baf0f-5282-4381-961b-4a8dcb056990",
      "price": 1000,
      "total_price": 12000,
      "annualized_price": 12000,
      "term": 12,
      "offer_designation": "insurance",
      "store_id": "ca9e74e6-a9ae-4294-a264-16184160f71b",
      "embedded": false,
      "post_purchase_window_days": 0
    }
  ],
  "locale": {
      "object": "locale",
      ...
  }
}
Query Params
string

The store ID for which you would like to list offers. This is a required parameter for multi store API keys.

boolean
Defaults to true

Whether the listed offers are distributed by a partner. Set to true by default, which means the endpoint only returns offers not sold directly by evy.

Headers
string

See the Language page.

Language
LoadingLoading…